<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_ATTRIBUTE Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_ATTRIBUTE Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a22d50daa724cbe1df81a33ab48ee6927"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#ad95456bab28dc2208c2d0e1d01f8ae8a">CK_ATTRIBUTE_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ATTRIBUTE.html#a22d50daa724cbe1df81a33ab48ee6927">type</a></td></tr>
<tr class="separator:a22d50daa724cbe1df81a33ab48ee6927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0584f1322464eff525d957753fd09734"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ATTRIBUTE.html#a0584f1322464eff525d957753fd09734">pValue</a></td></tr>
<tr class="separator:a0584f1322464eff525d957753fd09734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f80a21c442e2b07633dbac15714459b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ATTRIBUTE.html#a5f80a21c442e2b07633dbac15714459b">ulValueLen</a></td></tr>
<tr class="separator:a5f80a21c442e2b07633dbac15714459b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00503">503</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0584f1322464eff525d957753fd09734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0584f1322464eff525d957753fd09734">&#9670;&nbsp;</a></span>pValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a> pValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00505">505</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a22d50daa724cbe1df81a33ab48ee6927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d50daa724cbe1df81a33ab48ee6927">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#ad95456bab28dc2208c2d0e1d01f8ae8a">CK_ATTRIBUTE_TYPE</a> type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00504">504</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a5f80a21c442e2b07633dbac15714459b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f80a21c442e2b07633dbac15714459b">&#9670;&nbsp;</a></span>ulValueLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulValueLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00508">508</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
